; system index menu sorting

(setq *sort-system-index-menu* nil)

; add Custom Menus after "Essential Lisp"

(def-system-index-menu "Essential Lisp" "Custom Menus" 
    nil)

; add items after "Custom Menus"

(def-system-index-menu "Custom Menus" "   To-Conversions" 
    (lookup-search-functions "-to-")) ; find all functions which contain "-to-", multiple search strings can be used, too

(def-system-index-menu "Custom Menus" "   Gen Refs" 
    (lookup-search-functions-category "gen-" "g-"))

(def-system-index-menu "Custom Menus" "   Canon Scores" 
    (search-hyperwords-projects "canon")) ; search from projects "canon", multiple search strings can be used, too

(def-system-index-menu "Custom Menus" "   Midi Files in Projects" 
    (search-hyperwords-projects ".mid")) ; search from projects "canon", multiple search strings can be used, too

(def-system-index-menu "Custom Menus" "   Afro Percussion" 
    (search-hyperwords-library "afro")) ; search from library "afro", multiple search strings can be used, too

(def-system-index-menu "Custom Menus" "   Major Minor" 
    (search-hyperwords-chords "major" "minor")) ; search from chords, scales, tunings both "major" and "minor"

; added to permanent menus
;
;(def-system-index-menu "Custom Menus" "   Output Folder" 
;    (nreverse (dir-strings-direct (output-folder))))

(def-system-index-menu "Custom Menus" "   Notes" 
    (search-hyperwords-projects "<<"))

; add some menu coloring
; names are in lowercase and each one needs to be unique in the whole system index menu
; no duplicate entries in the system index menu are allowed
; add-category-colors-menu items can be redefined in default settings/syntax coloring file

;(set-category-colors-menu ; shows only when category colors are swithed on by theme
;   "canon scores" :yellow
;)

